        '<%= @name %>' => [
            'class' => '<%= @appender_class %>',
            'layout' => [
                'class' => '<%= @layout_class %>',
                'params' => [
                    <%- @layout_params.each do |pname,pvalue| -%>
                    '<%= pname %>' => '<%= pvalue %>'
                    <%- end -%>
                ]
            ],
            'params' => [
                <%- @params.each do |pname,pvalue| -%>
                '<%= pname %>' => '<%= pvalue %>'
                <%- end -%>
            ]
        ],
